"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.matchesElementRole = exports.makeKebabCase = exports.makeDocsURL = exports.isPresentationRole = exports.isMatchingElement = exports.isInteractiveRole = exports.isInteractiveElement = exports.isHiddenFromScreenReader = exports.isAttribute = exports.isCustomComponent = exports.isAriaHidden = exports.interactiveHandlers = exports.hasOnDirectives = exports.hasOnDirective = exports.hasContent = exports.hasAriaLabel = exports.hasAccessibleChild = exports.getInteractiveRoles = exports.getLiteralAttributeValue = exports.getElementType = exports.getElementAttributeValue = exports.getElementAttribute = exports.getAttributeValue = exports.getAttributeName = exports.defineTemplateBodyVisitor = void 0;
var defineTemplateBodyVisitor_1 = require("./utils/defineTemplateBodyVisitor");
Object.defineProperty(exports, "defineTemplateBodyVisitor", { enumerable: true, get: function () { return __importDefault(defineTemplateBodyVisitor_1).default; } });
var getAttributeName_1 = require("./utils/getAttributeName");
Object.defineProperty(exports, "getAttributeName", { enumerable: true, get: function () { return __importDefault(getAttributeName_1).default; } });
var getAttributeValue_1 = require("./utils/getAttributeValue");
Object.defineProperty(exports, "getAttributeValue", { enumerable: true, get: function () { return __importDefault(getAttributeValue_1).default; } });
var getElementAttribute_1 = require("./utils/getElementAttribute");
Object.defineProperty(exports, "getElementAttribute", { enumerable: true, get: function () { return __importDefault(getElementAttribute_1).default; } });
var getElementAttributeValue_1 = require("./utils/getElementAttributeValue");
Object.defineProperty(exports, "getElementAttributeValue", { enumerable: true, get: function () { return __importDefault(getElementAttributeValue_1).default; } });
var getElementType_1 = require("./utils/getElementType");
Object.defineProperty(exports, "getElementType", { enumerable: true, get: function () { return __importDefault(getElementType_1).default; } });
var getLiteralAttributeValue_1 = require("./utils/getLiteralAttributeValue");
Object.defineProperty(exports, "getLiteralAttributeValue", { enumerable: true, get: function () { return __importDefault(getLiteralAttributeValue_1).default; } });
var getInteractiveRoles_1 = require("./utils/getInteractiveRoles");
Object.defineProperty(exports, "getInteractiveRoles", { enumerable: true, get: function () { return __importDefault(getInteractiveRoles_1).default; } });
var hasAccessibleChild_1 = require("./utils/hasAccessibleChild");
Object.defineProperty(exports, "hasAccessibleChild", { enumerable: true, get: function () { return __importDefault(hasAccessibleChild_1).default; } });
var hasAriaLabel_1 = require("./utils/hasAriaLabel");
Object.defineProperty(exports, "hasAriaLabel", { enumerable: true, get: function () { return __importDefault(hasAriaLabel_1).default; } });
var hasContent_1 = require("./utils/hasContent");
Object.defineProperty(exports, "hasContent", { enumerable: true, get: function () { return __importDefault(hasContent_1).default; } });
var hasOnDirective_1 = require("./utils/hasOnDirective");
Object.defineProperty(exports, "hasOnDirective", { enumerable: true, get: function () { return __importDefault(hasOnDirective_1).default; } });
var hasOnDirectives_1 = require("./utils/hasOnDirectives");
Object.defineProperty(exports, "hasOnDirectives", { enumerable: true, get: function () { return __importDefault(hasOnDirectives_1).default; } });
var interactiveHandlers_json_1 = require("./utils/interactiveHandlers.json");
Object.defineProperty(exports, "interactiveHandlers", { enumerable: true, get: function () { return __importDefault(interactiveHandlers_json_1).default; } });
var isAriaHidden_1 = require("./utils/isAriaHidden");
Object.defineProperty(exports, "isAriaHidden", { enumerable: true, get: function () { return __importDefault(isAriaHidden_1).default; } });
var isCustomComponent_1 = require("./utils/isCustomComponent");
Object.defineProperty(exports, "isCustomComponent", { enumerable: true, get: function () { return __importDefault(isCustomComponent_1).default; } });
var isAttribute_1 = require("./utils/isAttribute");
Object.defineProperty(exports, "isAttribute", { enumerable: true, get: function () { return __importDefault(isAttribute_1).default; } });
var isHiddenFromScreenReader_1 = require("./utils/isHiddenFromScreenReader");
Object.defineProperty(exports, "isHiddenFromScreenReader", { enumerable: true, get: function () { return __importDefault(isHiddenFromScreenReader_1).default; } });
var isInteractiveElement_1 = require("./utils/isInteractiveElement");
Object.defineProperty(exports, "isInteractiveElement", { enumerable: true, get: function () { return __importDefault(isInteractiveElement_1).default; } });
var isInteractiveRole_1 = require("./utils/isInteractiveRole");
Object.defineProperty(exports, "isInteractiveRole", { enumerable: true, get: function () { return __importDefault(isInteractiveRole_1).default; } });
var isMatchingElement_1 = require("./utils/isMatchingElement");
Object.defineProperty(exports, "isMatchingElement", { enumerable: true, get: function () { return __importDefault(isMatchingElement_1).default; } });
var isPresentationRole_1 = require("./utils/isPresentationRole");
Object.defineProperty(exports, "isPresentationRole", { enumerable: true, get: function () { return __importDefault(isPresentationRole_1).default; } });
var makeDocsURL_1 = require("./utils/makeDocsURL");
Object.defineProperty(exports, "makeDocsURL", { enumerable: true, get: function () { return __importDefault(makeDocsURL_1).default; } });
var makeKebabCase_1 = require("./utils/makeKebabCase");
Object.defineProperty(exports, "makeKebabCase", { enumerable: true, get: function () { return __importDefault(makeKebabCase_1).default; } });
var matchesElementRole_1 = require("./utils/matchesElementRole");
Object.defineProperty(exports, "matchesElementRole", { enumerable: true, get: function () { return __importDefault(matchesElementRole_1).default; } });
